visrec.ri.ml.classification

## Class DefaultClassifierBuilder

- java.lang.Object
- - javax.visrec.ml.classification.ClassifierBuilder
  - - visrec.ri.ml.classification.DefaultClassifierBuilder

    public final class DefaultClassifierBuilder
    extends javax.visrec.ml.classification.ClassifierBuilder

Default implementation of the `ClassifierBuilder`

Author:
  Kevin Berendsen

### Constructor Summary

Constructors
Constructor and Description
`DefaultClassifierBuilder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`<T,R> javax.visrec.ml.classification.Classifier<T,R>` `buildWithSourceType(Class<T> sourceCls, Class<R> returnCls)`
`javax.visrec.ml.classification.ClassifierBuilder` `trainedModel(Object trainedModel)`

### Methods inherited from class javax.visrec.ml.classification.ClassifierBuilder

`buildWithSourceType, newBuilder`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultClassifierBuilder

    public DefaultClassifierBuilder()

### Method Detail

#### trainedModel

    public javax.visrec.ml.classification.ClassifierBuilder trainedModel(Object trainedModel)

Specified by:
  `trainedModel` in class `javax.visrec.ml.classification.ClassifierBuilder`

#### buildWithSourceType

    public <T,R> javax.visrec.ml.classification.Classifier<T,R> buildWithSourceType(Class<T> sourceCls,
                                                                                    Class<R> returnCls)

Specified by:
  `buildWithSourceType` in class `javax.visrec.ml.classification.ClassifierBuilder`